cURL
curl --request POST \ --url https://api.rootkey.ai/api-v1/platform/vaults \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "walletName": "<string>", "description": "<string>" } '
{ "name": "My first wallet", "description": "First wallet created through ROOTKey API", "address": "" }
Create a new vault
Documentation IndexFetch the complete documentation index at: https://docs.rootkey.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.rootkey.ai/llms.txt
Use this file to discover all available pages before exploring further.
Vault creation request payload
The name of the wallet
Optional description to help organize wallets
Wallet created successfully
The description of the wallet to help you organize your data
The address of the wallet
Was this page helpful?